Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QHButtonGroup Class Reference

The QHButtonGroup widget organizes QButton widgets in a group with one horizontal row. More...

`#include <qhbuttongroup.h>`

Inherits QButtonGroup.

List of all member functions.

## Public Members

- QHButtonGroup ( QWidget * parent = 0, const char * name = 0 )
- QHButtonGroup ( const QString & title, QWidget * parent = 0, const char * name = 0 )
- ~QHButtonGroup ()

## Detailed Description

The QHButtonGroup widget organizes QButton widgets in a group with one horizontal row.

QHButtonGroup is a convenience class that offers a thin layer on top of QButtonGroup. From a layout point of view it is effectively a QHBox that offers a frame with a title and is specifically designed for buttons. From a functionality point of view it is a QButtonGroup.

See also QVButtonGroup, Widget Appearance and Style, Layout Management, and Organizers.

## Member Function Documentation

### QHButtonGroup::QHButtonGroup ( QWidget * parent = 0, const char * name = 0 )

Constructs a horizontal button group with no title.

The parent and name arguments are passed to the QWidget constructor.

### QHButtonGroup::QHButtonGroup ( const QString & title, QWidget * parent = 0, const char * name = 0 )

Constructs a horizontal button group with the title title.

The parent and name arguments are passed to the QWidget constructor.

### QHButtonGroup::~QHButtonGroup ()

Destroys the horizontal button group, deleting its child widgets.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.